Bug 225349 - net-p2p/libtorrent-rasterbar: enabling TEST option results into a failure to build the port
Summary: net-p2p/libtorrent-rasterbar: enabling TEST option results into a failure to ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-21 09:02 UTC by John Smith
Modified: 2018-04-27 17:22 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (rezny)


Attachments
patch (420 bytes, patch)
2018-02-06 02:04 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2018-01-21 09:02:48 UTC
Make options: DOCS, EXAMPLES, TEST

Building in synth.

build log's tail:

libtool: install: install -m 555 -s .libs/connection_tester /construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/bin/connection_tester
Making install in test
Making install in bindings
Making install in python
Making install in tools
 /bin/mkdir -p '/construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/libdata/pkgconfig'
 install  -m 0644 libtorrent-rasterbar.pc '/construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/libdata/pkgconfig'
/usr/bin/strip  /construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/lib/libtorrent-rasterbar.so.9
install  -m 0644 /construction/xports/net-p2p/libtorrent-rasterbar/work/libtorrent-rasterbar-1.1.6/AUTHORS /construction/xports/net-p2p/libtorrent-rasterbar/work/libtorrent-rasterbar-1.1.6/ChangeLog /construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/share/doc/libtorrent-rasterbar
(cd /construction/xports/net-p2p/libtorrent-rasterbar/work/libtorrent-rasterbar-1.1.6 && /bin/sh -c '(/usr/bin/find -Ed $1 $3 | /usr/bin/cpio -dumpl $2 >/dev/null 2>&1) &&  /usr/bin/find -Ed $1 $3 \(   -type d -exec /bin/sh -c '\''cd '\''$2'\'' && chmod 755 "$@"'\'' . {} +  -o -type f -exec /bin/sh -c '\''cd '\''$2'\'' && chmod 0644 "$@"'\'' . {} + \)' COPYTREE_SHARE docs /construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/share/doc/libtorrent-rasterbar)
/bin/rm -f /construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/share/doc/libtorrent-rasterbar/docs/._*
install  -m 0644 /construction/xports/net-p2p/libtorrent-rasterbar/work/libtorrent-rasterbar-1.1.6/examples/*.cpp  /construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/share/examples/libtorrent-rasterbar
====> Compressing man pages (compress-man)



--------------------------------------------------------------------------------
--  Phase: package
--------------------------------------------------------------------------------
===>  Building package for libtorrent-rasterbar-1.1.6
pkg-static: Unable to access file /construction/xports/net-p2p/libtorrent-rasterbar/work/stage/usr/local/bin/fuzz_torrent:No such file or directory
*** Error code 1

Stop.
make: stopped in /xports/net-p2p/libtorrent-rasterbar
Comment 1 John Smith 2018-01-21 09:09:26 UTC
Without TEST option - the port builds fine.
Comment 2 Koichiro Iwao freebsd_committer 2018-02-06 02:04:21 UTC
Created attachment 190352 [details]
patch

Simply removing the file from plist worked for me.
Comment 3 Koichiro Iwao freebsd_committer 2018-04-24 09:15:29 UTC
Take due to maintainer timeout.
Comment 4 Koichiro Iwao freebsd_committer 2018-04-24 12:51:59 UTC
My patch successfully passes build test by poudriere both for TEST=on/off.
Comment 5 commit-hook freebsd_committer 2018-04-27 17:15:27 UTC
A commit references this bug:

Author: meta
Date: Fri Apr 27 17:14:34 UTC 2018
New revision: 468474
URL: https://svnweb.freebsd.org/changeset/ports/468474

Log:
  Fix pkg-plist with TEST option

  Also,
  - Bring BROKEN_powerpc64 earlier to make portlint happy
  - Bump PORTREVISION due to plist change

  PR:		225349
  Submitted by:	meta
  Reported by:	John Smith <godevilove@ya.ru>
  Approved by:	rezny (maintainer timeout), pi (mentor)
  MFH:		2018Q2

Changes:
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/libtorrent-rasterbar/pkg-plist